CRYPTSETUP-CLOSE(8)

NAME
cryptsetup-close - removes the existing mapping <name> (and the associated key)

SYNOPSIS

cryptsetup close [<options>] <name>

DESCRIPTION

Removes the existing mapping <name> and wipes the key from kernel memory.

For backward compatibility, there are close command aliases: remove, plainClose, luksClose, loopaesClose, tcryptClose, bitlkClose (all behave exactly the same, device type is determined automatically from the active device).

<options> can be [--deferred, --cancel-deferred, --header, --disable-locks].

OPTIONS

--header <device or file storing the LUKS header>
    Use a detached (separated) metadata device or file where the LUKS header is stored. This option allows one to store ciphertext and LUKS header on different devices.

    For commands that change the LUKS header (e.g. luksAddKey), specify the device or file with the LUKS header directly as the LUKS device.

--deferred
    Defers device removal in close command until the last user closes it.

--cancel-deferred
    Removes a previously configured deferred device removal in close command.

--disable-locks
    Disable lock protection for metadata on disk. This option is valid only for LUKS2 and ignored for other formats.

    WARNING: Do not use this option unless you run cryptsetup in a restricted environment where locking is impossible to perform (where /run directory cannot be used).

--batch-mode, -q
    Suppresses all confirmation questions. Use with care!

    If the --verify-passphrase option is not specified, this option also switches off the passphrase verification.

--debug or --debug-json
    Run in debug mode with full diagnostic logs. Debug output lines are always prefixed by #.

    If --debug-json is used, additional LUKS2 JSON data structures are printed.

--version, -V
    Show the program version.

--usage
    Show short option help.

--help, -?
    Show help text and default parameters.

REPORTING BUGS

Report bugs at or in

Please attach output of the failed command with --debug option added.

SEE ALSO

cryptsetup(8), integritysetup(8) and veritysetup(8)

CRYPTSETUP

Part of